## org.eclipse.ocl.cst
Interface IntegerLiteralExpCS

All Superinterfaces:
  CSTNode, EObject, LiteralExpCS, Notifier, OCLExpressionCS, PrimitiveLiteralExpCS

All Known Implementing Classes:
  IntegerLiteralExpCSImpl

    public interface IntegerLiteralExpCS

extends PrimitiveLiteralExpCS

A representation of the model object 'Integer Literal Exp CS'.

The following features are supported:

- `Integer Symbol`

See Also:
  `CSTPackage.getIntegerLiteralExpCS()`

Method Summary
`Integer` `getIntegerSymbol()` Returns the value of the 'Integer Symbol' attribute
`void` `setIntegerSymbol(Integer value)` Sets the value of the '`Integer Symbol`' attribute

Methods inherited from interface org.eclipse.ocl.cst.PrimitiveLiteralExpCS
`getSymbol, setSymbol`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIntegerSymbol

    Integer getIntegerSymbol()

  Returns the value of the 'Integer Symbol' attribute.

  If the meaning of the 'Integer Symbol' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Integer Symbol' attribute.
  See Also:
    `setIntegerSymbol(Integer)`, `CSTPackage.getIntegerLiteralExpCS_IntegerSymbol()`

### setIntegerSymbol

    void setIntegerSymbol(Integer value)

  Sets the value of the '`Integer Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'Integer Symbol' attribute.
  See Also:
    `getIntegerSymbol()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.